The OpenNET Project / Index page

[ новости /+++ | форум | wiki | теги | ]

Debian прекращает поддержку стандарта Linux Standard Base

09.10.2015 20:40

Разработчики Debian поставили под сомнение целесообразность обеспечения поддержки в дистрибутиве стандарта Linux Standard Base (LSB), который определяет сервиcы, средства разработки, бинарные интерфейсы и библиотеки, дающие возможность выполнения в дистрибутиве LSB-совместимых сторонних приложений. По мнению некоторых разработчиков, на обеспечение совместимости с LSB тратится слишком много сил, при неочевидной пользе от такой совместимости.

Поддерживаемый в Debian стандарт LSB 4.1 описывает 1493 компонентов, 1672 библиотек, 38491 команд, 30176 классов и 716202 интерфейсов. При том, что в настоящее время на предмет совместимости с LSB сертифицировано всего 8 (восемь) приложений, из которых только одна программа сертифицирована на соответствие LSB 4.0+. Иначе говоря, вся огромная работа и те рамки в которые приходится укладываться ради совместимости с LSB делаются ради нескольких проприетарных программ, разработчики которых не желают сформировать специфичные для дистрибутива пакеты.

Главной же проблемой является то, что никто из разработчиков Debian не заинтересован в сопровождении пакетов с компонентами для поддержки LSB. С момента предложения о прекращении поддержки LSB прошло три месяца, за которые не нашлось желающих взять на себя работу по поддержанию пакетов, связанных с LSB. В связи с этим решено сохранить только пакеты lsb-base и lsb-release с небольшим набором shell-функций для скриптов инициализации и утилитой для вывода уровня совместимости с LSB, отбросив всё остальное.

  1. Главная ссылка к новости (https://lwn.net/Articles/65880...)
  2. OpenNews: Доступны Linux Standard Base 5.0 и стандарт иерархии файловой системы FHS 3.0
  3. OpenNews: Доступна финальная версия стандарта Linux Standard Base 4.1
  4. OpenNews: Доступна предварительная версия стандарта LSB 4.0
Лицензия: CC-BY
Тип: Тема для размышления
Короткая ссылка: https://opennet.ru/43119-debian
Ключевые слова: debian, lsb
При перепечатке указание ссылки на opennet.ru обязательно


Обсуждение (272) Ajax | 1 уровень | Линейный | +/- | Раскрыть всё | RSS
  • 1.1, Аноним (-), 21:19, 09/10/2015 [ответить] [﹢﹢﹢] [ · · · ]  
  • –10 +/
    Ну и правильно
     
  • 1.2, EuPhobos (ok), 21:22, 09/10/2015 [ответить] [﹢﹢﹢] [ · · · ]  
  • –4 +/
    После того, как перестанут работать всякие проприетарные сетевухи или Wi-Fi карточки с видеокарточками, юзверята завопят и начнётся массовый отток, хошь-не-хошь, а вернуться к поддержке придётся.
    А с другой стороны всё верно. Ленивые проприетарные задницы пытаются переложить работу на кого-то другого. Вот если бы все массово перестали поддерживать их продукцию - был бы положительный эффект.
     
     
  • 2.3, Аноним (-), 21:26, 09/10/2015 [^] [^^] [^^^] [ответить]  
  • +20 +/
    Причем тут сетевухи, Wi-Fi карточки и видеокарточки?
     
     
  • 3.34, Zenitur (ok), 02:41, 10/10/2015 [^] [^^] [^^^] [ответить]  
  • +1 +/
    Действительно мимо. А прикладной софт - отвалится, да. Начиная с флеша и заканчивая средами разработки.
     
     
  • 4.41, Аноним (-), 03:03, 10/10/2015 [^] [^^] [^^^] [ответить]  
  • +14 +/
    flash уже года три как не нужен чуть более чем полностью.
     
     
  • 5.80, Lavir_the_Whiolet (?), 11:10, 10/10/2015 [^] [^^] [^^^] [ответить]  
  • –5 +/
    Ололошеньки-лоло, расскажи мне больше про ненужность Флеша.
     
     
  • 6.96, Аноним (-), 12:20, 10/10/2015 [^] [^^] [^^^] [ответить]  
  • +2 +/
    5 лет не видел флеша.
     
     
  • 7.102, dimcha (??), 12:56, 10/10/2015 [^] [^^] [^^^] [ответить]  
  • –1 +/
    На seasonvar, видимо, не ходите, потому и не нужен. Или стоит у вас старенький плагинчик в системе, еще 5 лет назад установленный, вот и не знаете даже, что видите...
     
     
  • 8.106, Ан (??), 13:31, 10/10/2015 [^] [^^] [^^^] [ответить]  
  • +/
    html5 плеер там таки есть Не очень удобный, но есть ... текст свёрнут, показать
     
     
  • 9.107, dimcha (??), 13:34, 10/10/2015 [^] [^^] [^^^] [ответить]  
  • –1 +/
    ну вот, а я не нашел и крыл матом apple за их отказ от flash и не мог смотреть ч... текст свёрнут, показать
     
     
  • 10.125, Аноним (-), 16:54, 10/10/2015 [^] [^^] [^^^] [ответить]  
  • +/
    В Apple никогда не отказывались от flash, его там никогда не было Для того, что... текст свёрнут, показать
     
     
  • 11.140, kandeshvari (ok), 21:37, 10/10/2015 [^] [^^] [^^^] [ответить]  
  • –5 +/
    Причем здесь игры Я про видео говорил Что странно, для видео эти говноброузеры... текст свёрнут, показать
     
     
  • 12.155, plain5ence (ok), 23:38, 10/10/2015 [^] [^^] [^^^] [ответить]  
  • +1 +/
    Причем здесь игры Для игр есть аппстор Пообщайтесь с разработчиками этих самых... текст свёрнут, показать
     
  • 12.168, ГГ (?), 02:39, 11/10/2015 [^] [^^] [^^^] [ответить]  
  • +/
    детскими болезнями болеют только жопорукие индусы, в html5 никаких проблем нет, ... текст свёрнут, показать
     
  • 12.171, arisu (ok), 07:56, 11/10/2015 [^] [^^] [^^^] [ответить]  
  • +1 +/
    зачем общаться с безмозглыми кретинами ... текст свёрнут, показать
     
  • 10.135, angra (ok), 20:46, 10/10/2015 [^] [^^] [^^^] [ответить]  
  • +/
    Год назад уже был ... текст свёрнут, показать
     
  • 6.181, fooser (?), 11:29, 11/10/2015 [^] [^^] [^^^] [ответить]  
  • +/
    Согласен, тебе для посмотра порносайтов он еще нужен :)
     
     
  • 7.182, Аноним (-), 11:34, 11/10/2015 [^] [^^] [^^^] [ответить]  
  • +1 +/
    на редтубе отличный хтмл плеер
     
  • 2.45, Аноним (-), 03:24, 10/10/2015 [^] [^^] [^^^] [ответить]  
  • +/
    Сказано же, оно нужно только восьми гoвноприожениям. Ничего не изменится.
     
     
  • 3.46, Zenitur (ok), 03:27, 10/10/2015 [^] [^^] [^^^] [ответить]  
  • +/
    8 приложений лицензировано ≠ 8 приложений всего. "Говноприложений", ты сейчас похож на диктора советского ТВ с его интонационной поддержкой. Ты же даже не знаешь что это за программы.
     
     
  • 4.59, Аноним (-), 04:43, 10/10/2015 [^] [^^] [^^^] [ответить]  
  • +9 +/
    Почему советского? Сейчас такие же дикторы.
     
     
  • 5.81, анонимус (??), 11:22, 10/10/2015 [^] [^^] [^^^] [ответить]  
  • +5 +/
    А в САСШ что, другие? Везде они одинаковые. ПРосто этому чувачку в советские времена не давали осуществить его низменные мечты, видать, вот он и обиделся на всю свою никчёмную жизнь ;)
     
     
  • 6.134, Sluggard (ok), 20:25, 10/10/2015 [^] [^^] [^^^] [ответить]  
  • +2 +/
    Если это настоящий Зентар, то в советские времена его ещё не было в природе.
     
     
  • 7.212, Клыкастый (ok), 11:02, 12/10/2015 [^] [^^] [^^^] [ответить]  
  • +/
    это не мешает отдельным личностям страдать от тоталитаризма и даже от оккупации.
     
     
  • 8.272, Аноним (-), 09:45, 15/10/2015 [^] [^^] [^^^] [ответить]  
  • +/
    для таких людей придумали психиатрические лечебницы... текст свёрнут, показать
     
  • 4.271, Аноним (-), 09:44, 15/10/2015 [^] [^^] [^^^] [ответить]  
  • –1 +/
    сейчас бы всем дикторам не помешало быть такими же как в Советах
     
  • 3.79, Кармер (?), 11:10, 10/10/2015 [^] [^^] [^^^] [ответить]  
  • +1 +/
    И среди них Wolphram Mathematica или Matlab ,например . Ну кому нужен госводистрибутив без матлаба ?? В в свитч пакетокидалкой разве что ...
     
     
  • 4.90, myhand (ok), 12:06, 10/10/2015 [^] [^^] [^^^] [ответить]  
  • +/
    > И среди них Wolphram Mathematica или Matlab ,например .

    А точно?  RPM, например, для дистрибуции первый не использует.

     
     
  • 5.100, Аноним (-), 12:37, 10/10/2015 [^] [^^] [^^^] [ответить]  
  • +/
    Да он и не нужен... Я помню новость про LSB 5.0 - каждый второй коммент про "LSB не нужен, потому что RPM". Но никто же не заставляет им пользоваться. Вот например Nero Linux 4 предлагает на выбор RPM и DEB, и Lightworks 12.5 тоже.
     
  • 4.97, Аноним (-), 12:21, 10/10/2015 [^] [^^] [^^^] [ответить]  
  • –2 +/
    зачем нужен матлаб если есть luaJIT?
     
     
  • 5.151, КарМер (?), 23:05, 10/10/2015 [^] [^^] [^^^] [ответить]  
  • +1 +/
    И всю-всю функциональность всех-всех пакетов уже переписали opensource гномики ??
    Ну продемонстриуйте что-нибудь не архисложное.Например, есть видео как капля чернил расползается по  мокрой промакашке,- требуется вычислить коэфф диффузии .
     
  • 5.228, Аноним (-), 20:42, 13/10/2015 [^] [^^] [^^^] [ответить]  
  • –1 +/
    >  зачем нужен матлаб если есть kcalc?

    Починил.

     
  • 4.239, Аноним (-), 21:16, 13/10/2015 [^] [^^] [^^^] [ответить]  
  • –1 +/
    > И среди них Wolphram Mathematica или Matlab ,например . Ну кому нужен
    > госводистрибутив без матлаба ?? В в свитч пакетокидалкой разве что ...

    У меня матлаб на дебиане работает без LSB-либ :)

     
     
  • 5.254, myhand (ok), 12:57, 14/10/2015 [^] [^^] [^^^] [ответить]  
  • +1 +/
    >> И среди них Wolphram Mathematica или Matlab ,например . Ну кому нужен
    >> госводистрибутив без матлаба ?? В в свитч пакетокидалкой разве что ...
    > У меня матлаб на дебиане работает без LSB-либ :)

    Это как?  Вы без libc работаете?


     
  • 3.91, myhand (ok), 12:08, 10/10/2015 [^] [^^] [^^^] [ответить]  
  • +/
    > Сказано же, оно нужно только восьми гoвноприожениям. Ничего не изменится.

    Не путай сертификацию с "нужностью".

    Коммерческих программ под Linux - много.  Действительно, довольно похоже на то
    что вещи вроде Mathematica или Matlab - используют элементы LSB.

     

     ....большая нить свёрнута, показать (33)

  • 1.4, GotF (ok), 21:36, 09/10/2015 [ответить] [﹢﹢﹢] [ · · · ]  
  • +1 +/
    Проприетарщики ориентируются в первую очередь на клиента, а не на стандарты. С другой стороны, LSB не очень вписывается и в практики FOSS-разработки. Вот и получается чисто бумажный стандарт.
     
     
  • 2.14, Аноним (-), 23:10, 09/10/2015 [^] [^^] [^^^] [ответить]  
  • +1 +/
    > Проприетарщики ориентируются в первую очередь на клиента, а не на стандарты. С
    > другой стороны, LSB не очень вписывается и в практики FOSS-разработки. Вот
    > и получается чисто бумажный стандарт.

    Хрен ты угадал. Знаешь, почему? Почитай, как IBM PC получил всеобщее распространение. Потом когда проникнешься - приходи, потрындим за стандарты. Сечешь?

     
     
  • 3.18, none_first (ok), 23:20, 09/10/2015 [^] [^^] [^^^] [ответить]  
  • +/
    >> Проприетарщики ориентируются в первую очередь на клиента, а не на стандарты. С
    >> другой стороны, LSB не очень вписывается и в практики FOSS-разработки. Вот
    >> и получается чисто бумажный стандарт.
    > Хрен ты угадал. Знаешь, почему? Почитай, как IBM PC получил всеобщее распространение.
    > Потом когда проникнешься - приходи, потрындим за стандарты. Сечешь?

    наверное вот поэтому http://abcdefgh.livejournal.com/924831.html

     
  • 2.280, Клыкастый (ok), 08:16, 21/10/2015 [^] [^^] [^^^] [ответить]  
  • +/
    > Проприетарщики ориентируются в первую очередь на клиента, а не на стандарты.

    "Как бы его повернуть, что е..ть, а он не рыпался" в принципе можно считать ориентацией на клиента... но с оооочень большооооой натяяяя....

     

  • 1.5, anonymous (??), 21:44, 09/10/2015 [ответить] [﹢﹢﹢] [ · · · ]  
  • –3 +/
    Заметались бедненькие. То systemd во все поля, то LSB не нужен. Наверное UsrMove собираются делать, иначе редхватовская поделка работать отказывается.
     
     
  • 2.6, vovans (ok), 21:52, 09/10/2015 [^] [^^] [^^^] [ответить]  
  • +1 +/
    с systemd это они правильно. Да и с сабжем тоже.
     
     
  • 3.9, anonymous (??), 22:32, 09/10/2015 [^] [^^] [^^^] [ответить]  
  • +/
    С аргументацией у тебя проблемы. Давай, разъясни, чем несоблюдение стандартов правильно?
     
     
  • 4.11, px (??), 22:43, 09/10/2015 [^] [^^] [^^^] [ответить]  
  • +/
    Тем, что именно на этот стандарт всем положить, а поддерживать надо. Если есть хоть кто-то заинтересован, он может взяться за это...
     
     
  • 5.121, anonymous (??), 16:05, 10/10/2015 [^] [^^] [^^^] [ответить]  
  • +2 +/
    >Тем, что именно на этот стандарт всем положить, а поддерживать надо. Если есть хоть кто-то заинтересован, он может взяться за это...

    Тогда вопрос. Как вообще возник стандарт, на который всем положить? Кто его разработал? Может, какие инопланетяне?

     
  • 5.230, Аноним (-), 20:47, 13/10/2015 [^] [^^] [^^^] [ответить]  
  • +/
    > Тем, что именно на этот стандарт всем положить,

    Программ, использующих стандарт LSB, довольно много (почитайте обсуждение выше). Просто далеко не все производители заморачиваются с сертификацией.

     
  • 4.229, Аноним (-), 20:43, 13/10/2015 [^] [^^] [^^^] [ответить]  
  • +/
    > С аргументацией у тебя проблемы. Давай, разъясни, чем несоблюдение стандартов правильно?

    Ну вот гента использует нестандартную систему инициализации. Это неправильно?

     
  • 2.233, Аноним (-), 20:53, 13/10/2015 [^] [^^] [^^^] [ответить]  
  • +/
    > иначе редхватовская поделка работать отказывается.

    Это вы про LSB?


     

  • 1.7, Аноним (-), 22:14, 09/10/2015 [ответить] [﹢﹢﹢] [ · · · ]  
  • –1 +/
    Странно что они вообще возились с этим мертвым стандартом.
     
     
  • 2.19, Аноним (-), 23:21, 09/10/2015 [^] [^^] [^^^] [ответить]  
  • –3 +/
    У дебы насиловать труп - в порядке вещей
     
  • 2.38, Zenitur (ok), 02:52, 10/10/2015 [^] [^^] [^^^] [ответить]  
  • +3 +/
    Да где ж он мёртвый-то? То, что игроделы взяли за стандарт Ubuntu 12.04, а не Enterprise Linux 5 (для LSB 5.0 - 7) не значит, что это сделали все. Хотя бы потому что софт для работы в Steam не берут. (Если кто не знает, Steam таскает с собой 300 МБ либ из Ubuntu 12.04, иначе проблемы наблюдаются даже в 12.10 - не говоря уже про 15.04). А обратная совместимость во всех стандартных либах поддерживается железно - от Glibc до Glib.
     
     
  • 3.43, Аноним (-), 03:12, 10/10/2015 [^] [^^] [^^^] [ответить]  
  • +/
    >Если кто не знает, Steam таскает с собой 300 МБ либ из Ubuntu 12.04, иначе проблемы наблюдаются даже в 12.10 - не говоря уже про 15.04

    Это временное явление, когда контракт Valve с Canonical истечёт эти устаревшие либы выкинут из Steam.

     
     
  • 4.44, Zenitur (ok), 03:23, 10/10/2015 [^] [^^] [^^^] [ответить]  
  • +6 +/
    >> Если кто не знает, Steam таскает с собой 300 МБ либ из Ubuntu 12.04, иначе проблемы наблюдаются даже в 12.10 - не говоря уже про 15.04
    > Это временное явление, когда контракт Valve с Canonical истечёт эти устаревшие либы выкинут из Steam.

    Нет никакого контракта. Сначала Valve начала писать Steam как для нормальной системы! Бета-релиз доустанавливал все зависимости для игр через apt-get, запрашивая пароль администратора. А потом выяснилось, что в Ubuntu 12.10 это не работает. Как так?! "Эй, Canonical! Ты что, не обеспечиваешь обратную совместимость с предыдущими релизами Ubuntu?" "Нет, не обеспечиваю" "%$#!" Сроки, видимо, поджимали, вот и решили проблему bundled-либами. А после релиза Steam, вообще обказались от сотрудничества с Canonical, создав SteamOS на базе Debian. Я уверен, что изначально планировалось на Ubuntu и делать консоль.

    Так вот, LSB - это и есть стопроцентная обратная совместимость между Enterprise 5, 6 и 7. LSB гарантирует, что весь твой софт, которым ты пользовался в EL5, в EL6 прекрасно заработает, а от EL6 - в EL7. Red Hat тратит на поддерживание обратной совместимости нехило средств - иначе она потеряет гораздо больше!

    Печально, что Debian отказывается от его поддержки - тем самым перекрывая себе дорогу в энтерпрайс. Если LSB не будет совсем - не будет обратной совместимости между Debian 8 и 9, и Ubuntu 15.10 и 16.04. Потому что (в частности) Glib 2.50 не сможет гарантированно запускать софт, скомпиленный с Glib 2.40. Не Шаттлворт же будет следить за обратной совместимостью в базовых системных либах!

     
     
  • 5.66, Вареник (?), 05:09, 10/10/2015 [^] [^^] [^^^] [ответить]  
  • +/
    > Печально, что Debian отказывается от его поддержки - тем самым перекрывая себе
    > дорогу в энтерпрайс.

    Бред написали, потому что:
    - Debian для бинарного Oracle/SAP/Etc. никто и сейчас не поставит - нет в списке сертифицированных систем с платной поддержкой 24/7.
    - Debian с опенсорс и/или Java приложениями, типа DataStax - нет смысла в строгом следовании LSB ABI. Все что надо - работало, работает, и будет работать. Так же как и в FreeBSD, который тоже не следует LSB, но в продакшн широко используется и многим админам нравится.

     
     
  • 6.169, Аноним (-), 02:49, 11/10/2015 [^] [^^] [^^^] [ответить]  
  • +/
    >> Печально, что Debian отказывается от его поддержки - тем самым перекрывая себе
    >> дорогу в энтерпрайс.
    > Бред написали, потому что:
    > - Debian для бинарного Oracle/SAP/Etc. никто и сейчас не поставит - нет
    > в списке сертифицированных систем с платной поддержкой 24/7.
    > - Debian с опенсорс и/или Java приложениями, типа DataStax - нет смысла
    > в строгом следовании LSB ABI. Все что надо - работало, работает,
    > и будет работать. Так же как и в FreeBSD, который тоже
    > не следует LSB, но в продакшн широко используется и многим админам
    > нравится.

    А причём тут вообще FreeBSD и _Linux_ Standard Base???

     
     
  • 7.234, Аноним (-), 20:55, 13/10/2015 [^] [^^] [^^^] [ответить]  
  • +/
    > А причём тут вообще FreeBSD и _Linux_ Standard Base???

    А как, по-вашему, "линуксулятор" во фре работает?
    У них там LSB-библиотеки, вытащенные из какой-то федоры, ЕМНИП.

     

  • 1.8, Тот_Самый_Анонимус (?), 22:18, 09/10/2015 [ответить] [﹢﹢﹢] [ · · · ]  
  • +1 +/
    >разработчики которых не желают сформировать специфичные для дистрибутива пакеты

    В том и беда, что для каждого крупного дистра нужены

    >специфичные для дистрибутива пакеты

    И если нужного пакета а репах нет, то всё: либо сам делай, либо обломись. Потому линух на ПК и не преодолеет даже 5%, несмотря на кучу других плюсов.

     
     
  • 2.10, myhand (ok), 22:40, 09/10/2015 [^] [^^] [^^^] [ответить]  
  • +/
    > И если нужного пакета а репах нет, то всё

    И какого нужного тебе пакета нет в репах дебиана, болезный?

     
     
  • 3.12, neon1ks (ok), 22:58, 09/10/2015 [^] [^^] [^^^] [ответить]  
  • +/
    qucs
     
     
  • 4.17, antitroll (?), 23:16, 09/10/2015 [^] [^^] [^^^] [ответить]  
  • –3 +/
    Убунтовский ставится на jessie без бубна, все зависимые либы в jessie есть
     
  • 4.56, Аноним (-), 04:13, 10/10/2015 [^] [^^] [^^^] [ответить]  
  • +1 +/
    https://packages.gentoo.org/packages/sci-electronics/qucs
    Даже ебилдов ждать не нужно!
     
  • 3.24, angra (ok), 00:36, 10/10/2015 [^] [^^] [^^^] [ответить]  
  • +/
    Начни с простого, посчитай количество пакетов с модулями из CPAN, потом сравни с общим количеством модулей на CPAN. Счет недостающих пакетов будет идти на тысячи, здоровячок.
     
     
  • 4.30, Аноним (-), 01:23, 10/10/2015 [^] [^^] [^^^] [ответить]  
  • –3 +/
    Легли под монолитный зондокомбайн SystemD
    Передали имущественные права на код
    Теперь отказались от стандарта LSB

    неладно что-то в Датском королевстве

     
     
  • 5.42, Zenitur (ok), 03:10, 10/10/2015 [^] [^^] [^^^] [ответить]  
  • –4 +/
    В Красной хате не лучше Я считаю что у них - синдром Висты После успеха 95-й у... большой текст свёрнут, показать
     
     
  • 6.49, Anonplus (?), 03:39, 10/10/2015 [^] [^^] [^^^] [ответить]  
  • +3 +/
    >> Расчёт был на то, что весь новый софт чисто теоретически не сможет запуститься на XP, так как не будет использовать Win32 API.
    >> Отказ от Win32 не случился - напротив, в "восьмёрке" прекрасно работает любой софт от 95-ки, даже в 64-битной!

    Что-то вы не то говорите. "Этот софт" прекрасно работает и в Висте. В Висте сломали лишь совместимость с драйверами XP. И драйверы от XP точно так же не будут работать и в 7/8/10. Никакого отказа от Win32 не было. Некоторый софт сейчас уже действительно в XP не работает, поскольку, начиная с какой-то из версий Visual Studio, поддержку XP выкинули.

    В общем, вы как-то в одну кучу намешали совершенно разные вещи и сделали неверные выводы.

     
     
  • 7.52, Zenitur (ok), 03:54, 10/10/2015 [^] [^^] [^^^] [ответить]  
  • +/
    Суть в другом Майкрософт думал что Vista сразу отхапает 25 , и тогда весь попул... большой текст свёрнут, показать
     
  • 6.57, angra (ok), 04:21, 10/10/2015 [^] [^^] [^^^] [ответить]  
  • +5 +/
    win2k была весьма удачной. Ты путаешь ее и миллениум и похоже совсем не в курсе, про то что до winxp было две параллельных линейки винды. Путаешь переход с winapi на .net c переходом с winxp на vista. Рассказываешь сказки про win8. В общем за знание истории винды незачет.
     
     
  • 7.62, Аноним (-), 04:51, 10/10/2015 [^] [^^] [^^^] [ответить]  
  • +1 +/
    > win2k была весьма удачной. Ты путаешь ее и миллениум и похоже совсем
    > не в курсе, про то что до winxp было две параллельных
    > линейки винды. Путаешь переход с winapi на .net c переходом с
    > winxp на vista. Рассказываешь сказки про win8. В общем за знание
    > истории винды незачет.

    Ты тоже ошибаешься. WinAPI никуда не делся..

    А под переходом на win2k, видимо, имелся в виду переход на семейство виндовсов с архитектурой NT.

     
     
  • 8.136, angra (ok), 20:53, 10/10/2015 [^] [^^] [^^^] [ответить]  
  • +1 +/
    Ну вот где ты увидел у меня, что winapi куда-то делся Скажу страшное, даже winx... текст свёрнут, показать
     
  • 8.224, Классический анонимус (ok), 08:35, 13/10/2015 [^] [^^] [^^^] [ответить]  
  • +/
    winapi очень сильно меняется в каждой версии винды Причём маразм - api не тольк... текст свёрнут, показать
     
  • 6.142, pkdr (ok), 22:14, 10/10/2015 [^] [^^] [^^^] [ответить]  
  • +1 +/
    Это у виндузятников проблема а как бы нам впарить кому-то свежие продукты нашей... большой текст свёрнут, показать
     
  • 5.232, Аноним (-), 20:52, 13/10/2015 [^] [^^] [^^^] [ответить]  
  • +/
    > Легли под монолитный зондокомбайн SystemD
    > Теперь отказались от стандарта LSB
    > неладно что-то в Датском королевстве

    Главное забыли - переход с libav на ffmpeg.

    > Передали имущественные права на код

    Это в убунте было.

     
     
  • 6.277, Аноним (-), 22:07, 18/10/2015 [^] [^^] [^^^] [ответить]  
  • +/
    > Это в убунте было.

    ты похоже проспал недавние новости


     
  • 4.39, Аноним (-), 02:52, 10/10/2015 [^] [^^] [^^^] [ответить]  
  • –1 +/
    >посчитай количество пакетов с модулями из CPAN, потом сравни с общим количеством модулей на CPAN. Счет недостающих пакетов будет идти на тысячи

    Так Perl умирающий язык, всё-равно рано или поздно придётся весь этот хламовник от Perl вычищать из Debian. И в Debian берут только то что используется другими пакетами как зависимость, никто не будет добавлять тысячи пакетов "чтобы было".

     
     
  • 5.50, Аноним (-), 03:40, 10/10/2015 [^] [^^] [^^^] [ответить]  
  • +1 +/
    Но никак умереть не может. Как-нибудь под рождество умрёт?
     
  • 5.55, angra (ok), 04:09, 10/10/2015 [^] [^^] [^^^] [ответить]  
  • +2 +/
    Ну замени умирающий perl на php, ruby, python, nodejs, go или что там у вас сейчас в моде. Суть то не изменится. А если ты такого простого не можешь понять, то объяснять тебе про зависимости смысла нет. У тебя ведь мозг взорвется от такого:
    $ apt-cache rdepends libmojolicious-perl
    libmojolicious-perl
    Reverse Depends:
    ...
    libmojo-server-fastcgi-perl

    $ apt-cache rdepends libmojo-server-fastcgi-perl
    libmojo-server-fastcgi-perl
    Reverse Depends:
      libmojolicious-perl

     
     
  • 6.58, Аноним (-), 04:25, 10/10/2015 [^] [^^] [^^^] [ответить]  
  • +/
    >Ну замени умирающий perl на php, ruby, python, nodejs, go

    Перечислены языки которые являются примерно таким же хламом как и perl, соответственно и отправятся эти языки в своё время туда же куда и perl.

     
     
  • 7.64, Аноним (-), 04:52, 10/10/2015 [^] [^^] [^^^] [ответить]  
  • +/
    >>Ну замени умирающий perl на php, ruby, python, nodejs, go
    > Перечислены языки которые являются примерно таким же хламом как и perl, соответственно
    > и отправятся эти языки в своё время туда же куда и
    > perl.

    Ещё один адепт "Уверуй в Истинный Язык!"?

     
     
  • 8.128, Аноним (-), 17:35, 10/10/2015 [^] [^^] [^^^] [ответить]  
  • –4 +/
    Дело не в истинности, дело в том что perl, php, ruby, python, nodejs, go - тормо... текст свёрнут, показать
     
     
  • 9.137, angra (ok), 20:56, 10/10/2015 [^] [^^] [^^^] [ответить]  
  • +1 +/
    Только ассемблер, только хардкор Или сделаешь милость и позволишь тормозному С ... текст свёрнут, показать
     
  • 7.82, YetAnotherOnanym (ok), 11:27, 10/10/2015 [^] [^^] [^^^] [ответить]  
  • +1 +/
    > таким же хламом как и perl

    :D

     
  • 4.85, myhand (ok), 11:45, 10/10/2015 [^] [^^] [^^^] [ответить]  
  • +/
    > Начни с простого, посчитай количество пакетов с модулями из CPAN, потом сравни
    > с общим количеством модулей на CPAN.

    Я немного о другом спрашивал.

    > Счет недостающих пакетов будет идти на тысячи, здоровячок.

    А не задумывался что это множество может совпадать с никому не нужными нафиг проектами на CPAN?

     
     
  • 5.138, angra (ok), 20:59, 10/10/2015 [^] [^^] [^^^] [ответить]  
  • +/
    Что за детский эгоцентризм? Повзрослей уже и перестань ставить знак равенства между своими нуждами и нуждами всего остального человечества.
     
     
  • 6.141, myhand (ok), 21:52, 10/10/2015 [^] [^^] [^^^] [ответить]  
  • +/
    > Повзрослей уже и перестань ставить знак равенства между
    > своими нуждами и нуждами всего остального человечества.

    И каким образом туча никому не нужных модулей на CPAN отражают
    нужды человечества?  Человечество походу в основном о них просто не знает...

    Наличие модуля в дистрибутиве - вполне объективный показатель нужности.  Если нужного вам
    модуля в репах нет - давайте уже в студию его ФИО и будем разбираться почему его нет.

     
     
  • 7.150, angra (ok), 23:03, 10/10/2015 [^] [^^] [^^^] [ответить]  
  • +/
    Ладно, поясню как законченному эгоцентристу. Есть ты, которому никогда не были нужны модули CPAN, неопакеченные ментейнерами дебиана. Есть я, которому были нужны десятки таких модулей. Остальное человечество оставим в стороне. Итого, в половине случаев такие модули нужны, но не имеют пакетов.
     
     
  • 8.152, myhand (ok), 23:30, 10/10/2015 [^] [^^] [^^^] [ответить]  
  • +/
    В любом случае - куцая статистика для выводов ... текст свёрнут, показать
     
     
  • 9.162, angra (ok), 01:00, 11/10/2015 [^] [^^] [^^^] [ответить]  
  • +1 +/
    Ну тебе хватало одного себя, чтобы делать мощные выводы о ненужности чего-либо в... текст свёрнут, показать
     
     
  • 10.188, myhand (ok), 12:05, 11/10/2015 [^] [^^] [^^^] [ответить]  
  • +/
    Вот потому я таких глупостей и не делаю, в отличие от Говорит, конечно Раз ес... текст свёрнут, показать
     
     
  • 11.203, angra (ok), 19:24, 11/10/2015 [^] [^^] [^^^] [ответить]  
  • +/
    Ты дурачок или так умело им прикидываешься В контексте обсуждения вроде должно ... текст свёрнут, показать
     
     
  • 12.220, myhand (ok), 20:20, 12/10/2015 [^] [^^] [^^^] [ответить]  
  • +/
    Сами сделали глупый вывод - сами его опровергли Лепота ... текст свёрнут, показать
     
  • 4.218, Michael Shigorin (ok), 18:09, 12/10/2015 [^] [^^] [^^^] [ответить]  
  • –1 +/
    > Начни с простого, посчитай количество пакетов с модулями из CPAN

    Ну в альте написали импорт, если вдруг кому-то нужен весь собирающийся на линуксе CPAN: https://lists.altlinux.org/pipermail/devel/2013-July/197587.html

     
  • 3.37, Аноним (-), 02:47, 10/10/2015 [^] [^^] [^^^] [ответить]  
  • +2 +/
    >И какого нужного тебе пакета нет в репах дебиана, болезный?

    deadbeef нет, хотя тут проблема не в Debian, а в том что у deadbeef автор слегка на своей волне, примерно так же как и ты на своей волне с "выпускниками технических университетов-пту".

     
     
  • 4.86, myhand (ok), 11:49, 10/10/2015 [^] [^^] [^^^] [ответить]  
  • –1 +/
    >>И какого нужного тебе пакета нет в репах дебиана, болезный?
    > deadbeef нет

    О ужас, в Debian нет проигрывалки музЫки...

     
  • 3.70, Тот_Самый_Анонимус (?), 07:08, 10/10/2015 [^] [^^] [^^^] [ответить]  
  • –1 +/
    Мне всё равно до дебиана. Даже не ставил никогда.

    Я о той проблеме, что для каждого дистра надо пилить свой отдельный пакет. Идёт фрагментация линуха даже в пределах одной версии ядра. Если для винды один установщик будет работать в пределах трёх-четырёх версий, то такие же условия для линуха невозможны (для каждой версии — свой пакет).

    А если говорить о пакетах, то мне не хватает оригинального OO.

     
     
  • 4.88, myhand (ok), 11:58, 10/10/2015 [^] [^^] [^^^] [ответить]  
  • +/
    > Я о той проблеме, что для каждого дистра надо пилить свой отдельный пакет.

    Почему?  deb/rpm.  Внутри каждого семейства - есть стандарты, которые стараются соблюдать.

    Это не супер, конечно, но судя по статистике - проблема в том что LSB просто не используют.  

    > А если говорить о пакетах, то мне не хватает оригинального OO.

    Вы некрофил?

     
     
  • 5.89, Аноним (-), 12:05, 10/10/2015 [^] [^^] [^^^] [ответить]  
  • +/
    Использую! Помнишь первые несколько Humble Bundle? Три вкладки: Windows, Mac OS, Linux, ниже - ещё две вкладки: Direct Link и Torrent. В Linux - при кнопки: RPM, DEB, tar.gz. В некоторых случаях слева - переключатель 32-bit/64-bit. Так вот, эти игрушки до сих пор работают. Ибо LSB.

    Потом были разные порты игр. Те, что делал Icculus, работают и сейчас. Те, что делали разработчики игр сами, сейчас имеют проблемы в работе. Не знаю как у всех, но лично у меня некоторые игры требуют либ, которые давно устарели, и в дистрибутивы не кладутся. Вместо них лежат такие же, но на новом ABI. Это не тру. И вот почему нужен LSB.

     
     
  • 6.172, arisu (ok), 07:59, 11/10/2015 [^] [^^] [^^^] [ответить]  
  • +/
    отрадно наблюдать страдания юзера проприетарщины.
     
     
  • 7.231, Аноним (-), 20:50, 13/10/2015 [^] [^^] [^^^] [ответить]  
  • +1 +/
    > отрадно наблюдать страдания юзера проприетарщины.

    Да вам любые страдания наблюдать отрадно, так ведь? ;)

     
     
  • 8.240, arisu (ok), 21:19, 13/10/2015 [^] [^^] [^^^] [ответить]  
  • +1 +/
    конечно совершенно неважно, как страдает проприерастная подстилка ... текст свёрнут, показать
     
     
  • 9.243, Аноним (-), 21:22, 13/10/2015 [^] [^^] [^^^] [ответить]  
  • +/
    И даже совсем не важно, проприерастная это подстилка, или нет ... текст свёрнут, показать
     
  • 5.94, Тот_Самый_Анонимус (?), 12:19, 10/10/2015 [^] [^^] [^^^] [ответить]  
  • +/
    >Внутри каждого семейства - есть стандарты, которые стараются соблюдать.

    Семейства! Для каждой версии — новый пакет. Эта политика не позволяет свободным разработчикам _самостоятельно_ поддерживать пакеты под несколько версий одного только дебиана. А дистров, что собак нерезанных. В результате тратится много ресурсов, и разработчики не всегда сами собирают пакеты.

    Тот же OO ставится на винды версий от хп до 10-ки.

    >Вы некрофил?

    Нет. А вы?

     
     
  • 6.98, myhand (ok), 12:23, 10/10/2015 [^] [^^] [^^^] [ответить]  
  • +1 +/
    >>Внутри каждого семейства - есть стандарты, которые стараются соблюдать.
    > Семейства! Для каждой версии — новый пакет.

    Да нет, совершенно не обязательно.

    > Эта политика не позволяет свободным
    > разработчикам _самостоятельно_ поддерживать пакеты под несколько версий одного только дебиана.

    Теоретик?

    >>Вы некрофил?
    > Нет.

    А почему так похожи?

     
     
  • 7.108, Аноним (-), 13:35, 10/10/2015 [^] [^^] [^^^] [ответить]  
  • +/
    Ну т.е. если не получится поставить пакет 3 летней давности потому, что совместимых версий зависимостей в диструэибутиве нет, ты своей жопой ответишь за слова?

    > Теоретик?
    > Некрофил?
    > А почему так похож?

    Один дурак может задать столько вопросов, что не ответит тысяча мудрецов. Осебенно, если эти вопросы не по теме.

     
     
  • 8.117, myhand (ok), 15:02, 10/10/2015 [^] [^^] [^^^] [ответить]  
  • +/
    Да, конечно Если сперва ты мне докажешь что LSB эту проблему решает Я бы не с... текст свёрнут, показать
     
     
  • 9.119, Тот_Самый_Анонимус (?), 15:28, 10/10/2015 [^] [^^] [^^^] [ответить]  
  • –1 +/
    Доказывать что на ОДНУ ВЕРСИЮ программы в РАЗНЫХ версиях lbcnhb,enbdf kbye f мог... текст свёрнут, показать
     
     
  • 10.126, myhand (ok), 17:05, 10/10/2015 [^] [^^] [^^^] [ответить]  
  • +1 +/
    Нет Доказать, что LSB решает проблему совместимости даже в отдельно взятом дис... текст свёрнут, показать
     
     
  • 11.132, Тот_Самый_Анонимус (?), 18:37, 10/10/2015 [^] [^^] [^^^] [ответить]  
  • –1 +/
    для десятой доли архива Debian, если быть оптимистом Мне плевать на дебиан Я г... большой текст свёрнут, показать
     
     
  • 12.133, myhand (ok), 20:05, 10/10/2015 [^] [^^] [^^^] [ответить]  
  • +1 +/
    Так экстраполяция на весь Линукс будет только хуже, соответственно Некрофилией ... большой текст свёрнут, показать
     
     
  • 13.143, Тот_Самый_Анонимус (?), 22:15, 10/10/2015 [^] [^^] [^^^] [ответить]  
  • –2 +/
    У слова есть конкретное значение Остальное 8212 фантазии Да и оценка заброш... текст свёрнут, показать
     
     
  • 14.161, myhand (ok), 00:59, 11/10/2015 [^] [^^] [^^^] [ответить]  
  • +/
    Не хочу спорить, т к смотрю на LO и OO исключительно со стороны Слухи ходят, ... текст свёрнут, показать
     
     
  • 15.178, Тот_Самый_Анонимус (?), 08:14, 11/10/2015 [^] [^^] [^^^] [ответить]  
  • –1 +/
    А другая есть вообще Хоть какая-нибудь А то как только идёт новость о внедрени... большой текст свёрнут, показать
     
     
  • 16.189, myhand (ok), 12:19, 11/10/2015 [^] [^^] [^^^] [ответить]  
  • +/
    Лучше плохую и никем не используемую, потому что потому Никакое отсутствие ста... большой текст свёрнут, показать
     
     
  • 17.200, Тот_Самый_Анонимус (?), 17:40, 11/10/2015 [^] [^^] [^^^] [ответить]  
  • –1 +/
    Нет Вменяемую, конечно же Но не предвидится Потому и 2 рынка Не запрещает... большой текст свёрнут, показать
     
     
  • 18.222, myhand (ok), 20:22, 12/10/2015 [^] [^^] [^^^] [ответить]  
  • +1 +/
    Какие еще 2 А можно не рассказывать про вкус устриц тому, кто их на самом дел... большой текст свёрнут, показать
     
  • 12.139, angra (ok), 21:35, 10/10/2015 [^] [^^] [^^^] [ответить]  
  • +1 +/
    Хочешь я открою тебе секрет, как это делается Все очень просто, там каждая прог... большой текст свёрнут, показать
     
     
  • 13.144, Тот_Самый_Анонимус (?), 22:18, 10/10/2015 [^] [^^] [^^^] [ответить]  
  • +/
    Я столько раз сделал оговорку что ПОЧТИ всё, чтобы такие, как вы не придирались ... текст свёрнут, показать
     
     
  • 14.147, Аноним (-), 22:36, 10/10/2015 [^] [^^] [^^^] [ответить]  
  • +/
    Почти не считается В винде xp работает, в 7 рушит систему Таких программ кучи ... текст свёрнут, показать
     
  • 14.149, angra (ok), 22:56, 10/10/2015 [^] [^^] [^^^] [ответить]  
  • +/
    Только есть важный момент Почти у всех программ есть указанные мной особенности... текст свёрнут, показать
     
     
  • 15.173, Тот_Самый_Анонимус (?), 08:02, 11/10/2015 [^] [^^] [^^^] [ответить]  
  • –1 +/
    Каждый судит со своей колокольни Мне в винде ни одной программы не попадалось, ... текст свёрнут, показать
     
     
  • 16.202, angra (ok), 19:16, 11/10/2015 [^] [^^] [^^^] [ответить]  
  • +1 +/
    Ну я же говорю, избирательный склероз Крайне распространенная болезнь на форума... текст свёрнут, показать
     
     
  • 17.206, Тот_Самый_Анонимус (?), 21:13, 11/10/2015 [^] [^^] [^^^] [ответить]  
  • –1 +/
    Это опыт По работе не сталкивался хотя знаю что такое бывает , а с линухом 8... текст свёрнут, показать
     
     
  • 18.208, angra (ok), 22:51, 11/10/2015 [^] [^^] [^^^] [ответить]  
  • +1 +/
    Ну выберите популярный дистрибутив и воспринимайте его как замену винде А то у ... текст свёрнут, показать
     
     
  • 19.211, Тот_Самый_Анонимус (?), 07:37, 12/10/2015 [^] [^^] [^^^] [ответить]  
  • –1 +/
    Т е не весь линух должен быть заменой, а отдельная часть Т е фрагментация лин... текст свёрнут, показать
     
     
  • 20.216, Mihail Zenkov (ok), 13:22, 12/10/2015 [^] [^^] [^^^] [ответить]  
  • +/
    В целом, набор основных пакетов схож, что уже можно считать своего рода стандарт... большой текст свёрнут, показать
     
  • 12.145, Аноним (-), 22:33, 10/10/2015 [^] [^^] [^^^] [ответить]  
  • +/
    Да, запустить в винде можно, только работать не везде ... текст свёрнут, показать
     
  • 2.40, Zenitur (ok), 02:58, 10/10/2015 [^] [^^] [^^^] [ответить]  
  • +1 +/
    Сначала они кричат "LSB не нужен! Я компилирую свой софт в Linux Mint 17, и у меня всё работает! А у кого не работает - вы все ненормальные, и юзаете ненормальные дистры!". А потом выясняется, что не только в других дистрах, но и в том же Mint на одну версию старше всё отвалилось, так как системообразующие либы поменяли ABI. И тогда они кричат "нет стандартов, всё плохо, ужасный линукс, нет, всё, портирования новых версий не будет!"
     
     
  • 3.163, Crazy Alex (ok), 01:06, 11/10/2015 [^] [^^] [^^^] [ответить]  
  • +2 +/
    Какие проблемы со сменой ABI в открытом софте? Вопрос одной пересборки - и выкладывания нового пакета, да. Учитывая, что популярных дстрибутива полторы штуки - не проблема вообще. Пользователи остальных уж как-нибудь разберутся, им не впервой. А если вы о проприетарщине заботитесь - то пройдите лесом, товарищ.
     
  • 2.116, kravich (ok), 14:52, 10/10/2015 [^] [^^] [^^^] [ответить]  
  • –1 +/
    Ты все правильно написал
     

     ....большая нить свёрнута, показать (71)

  • 1.20, robux (ok), 23:34, 09/10/2015 [ответить] [﹢﹢﹢] [ · · · ]  
  • –1 +/
    Судя по описанию стандарта:

    > Стандарт LSB (Linux Standard Base), определяет единые для всех
    > Linux-дистрибутивов правила, средства разработки, бинарные
    > интерфейсы и библиотеки. Поддержка LSB позволяет обеспечить
    > возможность выполнения продукта в любом LSB-совместимом
    > дистрибутиве Linux, без внесения в него специфичных для каждой
    > системы изменений.

    https://www.opennet.ru/opennews/art.shtml?num=42360

    Отказ от него - не очень хорошо,
    ибо бинарные приложения Debian перестанут запускаться на других дистрибутивах Linux без перекомпиляции с соотвествующими путями.

    Голактеко опасносте!

     
     
  • 2.21, vitalif (ok), 23:37, 09/10/2015 [^] [^^] [^^^] [ответить]  
  • +1 +/
    По описанию да, а по факту он по-моему сдох уже давно...

    Толку от стандарта, которым никто не пользуется?

     
     
  • 3.23, slavius (?), 00:33, 10/10/2015 [^] [^^] [^^^] [ответить]  
  • +/
    ну между рпм дистрами кой какая совместимость все же есть и по сей день, разве что suse подкачала. я вот из федорки еще в мандриву ставил и ниче все ок. из красеой шапки в тож в мандриву и все ок. хотя они конечно близкородственные. а вот если дебианоподобные поломают совместимость по интерфейсам... то ж о па)) будет 2 базы исходников , а то и 3 . между деб пакетами и рпм, ну еще убунтята выделятся. и начнется ад для сборщиков и писателей ))) потому как они тогда будут именно что писать, а не кодить))
     
     
  • 4.25, angra (ok), 00:39, 10/10/2015 [^] [^^] [^^^] [ответить]  
  • –1 +/
    У debian есть alien, позволяющий конвертить rpm в dpkg. Так что дебианщиками даже проще, чем любителям скрещивать rpm дистры.
     
     
  • 5.27, Stax (ok), 00:59, 10/10/2015 [^] [^^] [^^^] [ответить]  
  • +1 +/
    Вы так говорите, будто alien не умеет из dpkg делать rpm.

    Только качество подобных преобразований с учетом разницы путей (/usr/lib64 в RH против /usr/lib в дебиане), скриптов инициализации (до прихода systemd, во всяком случае) и прочего не слишком велика. Про конфликты версий библиотек я уж не говорю.

    Бред это все, в 2015 году проще поставить нужную версию нужного дистрибутива в каталоге и пускать прогу в нем через docker или systemd-nspawn, если под основной используемый ее нет.

     
     
  • 6.35, slavius (?), 02:43, 10/10/2015 [^] [^^] [^^^] [ответить]  
  • –1 +/
    что правда то правда alien усть и в рпм дистрах если че. лично пользовал как то раз. но да несовместимость библиотек это болезнь. точнее их путей и названий. пришлось малость поиграть.
     
  • 4.53, Zenitur (ok), 03:59, 10/10/2015 [^] [^^] [^^^] [ответить]  
  • –3 +/
    Это точно! Мы наблюдаем последние дни, когда можно создатьтакой бинарник, который подходит к абсолютно любому дистру! Теперь хочешь-не хочешь, а компиляй два: для всего Linux, и отдельно для Debian.
     
  • 3.54, Zenitur (ok), 04:05, 10/10/2015 [^] [^^] [^^^] [ответить]  
  • –1 +/
    > По описанию да, а по факту он по-моему сдох уже давно...
    > Толку от стандарта, которым никто не пользуется?

    Ты реально представляешь себе человека, который строить билд-ферму на базе убер-современного дистра? Для наибольшей совместимости со всеми дистрами, всегда берут немного устаревший дистр. А совместимость между старым и новым обеспечивает как раз-таки LSB!

    Не будет LSB - не будет обратной совместимости между Debian 8 и 9, и Ubuntu 15.10 и 16.04. Потому что (в частности) Glib 2.50 не сможет гарантированно запускать софт, скомпиленный с Glib 2.40.

     
     
  • 4.225, freehck (ok), 13:15, 13/10/2015 [^] [^^] [^^^] [ответить]  
  • +/
    Я Вам открою глаза на некоторые вещи билд фермы строятся на базе любого дистра,... большой текст свёрнут, показать
     
  • 2.28, Stax (ok), 01:01, 10/10/2015 [^] [^^] [^^^] [ответить]  
  • +/
    > Отказ от него - не очень хорошо,
    > ибо бинарные приложения Debian перестанут запускаться на других дистрибутивах Linux без
    > перекомпиляции с соотвествующими путями.
    > Голактеко опасносте!

    Эта радость тащит в систему Qt3 и прочий шлак. Оно надо?

    Хотя тот же гуглохром или google-musicmanager хотят LSB по зависимостям :(

     
     
  • 3.47, Zenitur (ok), 03:33, 10/10/2015 [^] [^^] [^^^] [ответить]  
  • +/
    > Эта радость тащит в систему Qt3 и прочий шлак. Оно надо?

    А кому-то оно мешает? Либа же не висит в памяти, если не пользуешься софтом, от неё зависящим!

     
  • 2.51, Zenitur (ok), 03:51, 10/10/2015 [^] [^^] [^^^] [ответить]  
  • +15 +/
    Суть LSB: даже если сейчас актуальна libpng17, то в /usr/lib ОБЯЗАНА лежать также и libpng12, ибо стандарт. Даже если ни одна программа из репозитория старой либой не пользуется - только ты полезешь в интернет и скачаешь скайп или флеш плеер, как либа сразу начнёт использоваться.

    Две либы - это в случае, если ABI менялся. А если ABI не менялся, то железобетонно обязана быть обратная совместимость. Скомпиленная с Glibc 2.4 программа обязана нормально работать с Glibc 2.22. С GTK+ 2.10 - в 2.24. С Freetype 2.2 - в 2.6. Всю эту тягомотину с обратной совместимостью в этих либах, уверенно тащит на себе Red Hat, а вовсе не Debian.

    Так что окружение сборки имеет значение. Берём для примера игру TuxRacer. Исходные коды 2005 года, плюс набор патчей для совместимости с новыми компиляторами.

    Компилируем в CentOS 5. Попробуем потом запустить в Ubuntu 12.04. О, чудо! Оно работает! А в Fedora 17? Работает! 23? Работает! А в Ubuntu 15.10? Да!

    Компилируем в Debian 7 Wheezy. Пробуем запустить в Ubuntu 12.04. О нет, у нас нет либы libjpeg.so.8, а есть только libjpeg.so.62! Пробуем запустить с Fedora 17 - о нет, нам нужен Glibc 2.14, а в системе только 2.12!

    Пробуем компильнуть в Ubuntu 15.10 - вообще нигде не запускается, так как хочет каких-то нереально бешенных версий либ и Glibc, хотя исходник - напомню - 2005 года.

     
     
  • 3.65, Вареник (?), 04:55, 10/10/2015 [^] [^^] [^^^] [ответить]  
  • +/
    Попробуйсте откомпилить в Генту или Слаке :)
     
  • 3.72, Chromium (?), 07:16, 10/10/2015 [^] [^^] [^^^] [ответить]  
  • +5 +/
    лучший коммент
     
  • 3.95, myhand (ok), 12:19, 10/10/2015 [^] [^^] [^^^] [ответить]  
  • +/
    > Компилируем в Debian 7 Wheezy.

    А какие lsb-пакеты установлены у компиляльщика?  // скрипач пытается измерить радиус кривизны рук докладчика.

     
  • 3.157, Kodir (ok), 23:55, 10/10/2015 [^] [^^] [^^^] [ответить]  
  • –1 +/
    > Скомпиленная с Glibc 2.4 программа обязана нормально работать с Glibc 2.22

    Вопрос с задних рядов: а что, разве во всех линуксах это не должно работать так по-умолчанию? Я считал, что программа, которая только обращается к библиотеке, вообще никак не зависит от внутренних заморочек библиотеки и обязана работать с любой её ABI-совместимой версией. Откуда в Линуксе взялись "хочу библиотеку libzip 1.2.3"? Что там творит gcc, что программа не может подхватить существующую "libzip 1.3.7"?

     
     
  • 4.159, Mihail Zenkov (ok), 00:23, 11/10/2015 [^] [^^] [^^^] [ответить]  
  • +/
    > Откуда в Линуксе взялись
    > "хочу библиотеку libzip 1.2.3"? Что там творит gcc, что программа не
    > может подхватить существующую "libzip 1.3.7"?

    Это не gcc творит, а автор конкретной программы прописал конкретную версию для линковки. Причины у него могут быть разные, но наиболее простая - в версии 1.3.x мог изменится api или поведение по-умолчанию в сравнении с 1.2.x.

     
  • 3.164, Crazy Alex (ok), 01:11, 11/10/2015 [^] [^^] [^^^] [ответить]  
  • +/
    Суть ухода от LSB: нет смысла морочить голову с тем, что тривиально решается пересборкой. Ах, вы хотите мимо репозиториев что-то распространять? Вы хотите тащить проприетарщину, для которой исходники недоступны? Ну так сами и мучайтесь и не перекладывайте свои проблемы с больной головы на здоровую.

    Нет, серьёзно - на кой в открытом софте бинарная совместимость на этом уровне?

     
     
  • 4.217, Кармер (?), 17:55, 12/10/2015 [^] [^^] [^^^] [ответить]  
  • –1 +/
    Пересборкой и тестированием , мой йуный друк ! Ибо аффторы либ тоже делают ошибки,для которых время от времени приходиццо делать workaround.
     
  • 4.241, Аноним (-), 21:19, 13/10/2015 [^] [^^] [^^^] [ответить]  
  • –2 +/
    > Суть ухода от LSB: нет смысла морочить голову с тем, что тривиально
    > решается пересборкой. Ах, вы хотите мимо репозиториев что-то распространять? Вы хотите
    > тащить проприетарщину, для которой исходники недоступны? Ну так сами и мучайтесь
    > и не перекладывайте свои проблемы с больной головы на здоровую.

    Обычному пользователю (не фанату FOSS) пофиг, проприетарная программа или нет. Ему важно, чтобы она делала свое дело. Он выбирает инструмент, исходя из задачи, а не из религиозно-политических пристрастий.

    Стандарт LSB, по сути, и был защитой от перекладывания с больной головы (зоопарка версий библиотек) на здоровую (вендоров, которым можно было не собирать свой продукт под 100500 дистрибутивов).

     
     
  • 5.242, arisu (ok), 21:20, 13/10/2015 [^] [^^] [^^^] [ответить]  
  • +1 +/
    для «нормальных пользователей» есть окошечки и огрызки. го‐го‐го.
     
     
  • 6.245, Аноним (-), 21:27, 13/10/2015 [^] [^^] [^^^] [ответить]  
  • –2 +/
    ОС, как и прикладное ПО, можно выбирать, исходя из задачи.
    А вы опять сводите все к религии.
     
     
  • 7.252, Andrey Mitrofanov (?), 09:44, 14/10/2015 [^] [^^] [^^^] [ответить]  
  • +1 +/
    > А вы опять сводите все к религии.

    А как ещё говорить со свидетелями "обычного пользователя есть"?

     
  • 2.148, Аноним (-), 22:37, 10/10/2015 [^] [^^] [^^^] [ответить]  
  • –1 +/
    Перекидывал с дебиана на арч, и какой итог? Упало с ошибкой сегментации, при этом быстро.
     

  • 1.29, Фабрика Огрызков (?), 01:05, 10/10/2015 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    Нужно что Торвальдс сказал: Или LSB или выкидывайте из дистрибутива все слова Linux.
     
     
  • 2.31, Аноним (-), 01:28, 10/10/2015 [^] [^^] [^^^] [ответить]  
  • +/
    У ядра новая лицензия? LSB-GPL? Использующий исходный код ядра обязуется использовать корпоративный стандарт, только в том случае он имеет право упоминать название ядра в исходных текстах своего продукта.
     
  • 2.63, Вареник (?), 04:51, 10/10/2015 [^] [^^] [^^^] [ответить]  
  • +1 +/
    Торвальдс может поддерживать соответствующие пакеты Debian для обеспечения совместимости с LSB.

    Debian первичен, Торвальдс с ядром вторичен.

     
     
  • 3.235, Аноним (-), 21:00, 13/10/2015 [^] [^^] [^^^] [ответить]  
  • +/
    > Debian первичен, Торвальдс с ядром вторичен.

    Вот когда Hurd или kFreeBSD станут первичным ядром Debian, тогда и будете так говорить.
    А пока - идите в сад.

     
     
  • 4.267, Вареник (?), 01:49, 15/10/2015 [^] [^^] [^^^] [ответить]  
  • +/
    >> Debian первичен, Торвальдс с ядром вторичен.
    > Вот когда Hurd или kFreeBSD станут первичным ядром Debian, тогда и будете
    > так говорить.
    > А пока - идите в сад.

    Пока только посылалка выросла?

    Хочешь LSB - сделай его.

     
  • 2.219, hamper (??), 20:08, 12/10/2015 [^] [^^] [^^^] [ответить]  
  • +/
    Gentoo и все что на нем основано вы уже линуксами не считаете? А ведь оно никогда, изначально, не поддерживало LSB.
     

  • 1.32, Zenitur (ok), 02:20, 10/10/2015 [ответить] [﹢﹢﹢] [ · · · ]  
  • –3 +/
    Кроме лицензированных программ, есть ещё куча не-лицензированных, но на 100% совместимых с LSB. Меня Debian вообще удивляет: за МЕСЯЦ до релиза 7.0 Wheezy один из мейнейнеров начал чистить Qt3 и зависящий от него софт. Притом что все заморозки перед релизом уже были применены - а в реалиях Debian-а "месяц до релиза" - это как в нормальном проекте "за день до релиза". Зачем?!

    Недавно вышел LSB 5.0, где авторы стандарта пошли на уступки для Debian. В манифесте LSB 5.0 сказано, что на Debian и Ubuntu теперь тоже делают ставку: видимо, в прошлый раз (2007 год) эти дистры не были достаточно популярны для этого. Qt3, так и быть, исключили. И ещё там что-то, кому интересно - в "Похожих новостях" есть ссылка...

    То есть для них идут на уступки, а они вот так! Что ж, дебианщики, когда Flash Player в вашем дистре не заработает, уверен что определённый процент юзеров ливанёт на RPM-based, где проприетарный софт гарантированно запускаетсяна любом из них. Спасибо одному из разработчиков с шилом в *опе!

     
  • 1.36, Zenitur (ok), 02:44, 10/10/2015 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    > Поддерживаемый в Debian стандарт LSB 4.1 описывает 1493 компонентов, 1672 библиотек, 38491 команд, 30176 классов и 716202 интерфейсов.

    Так говорят, как будто сами денно и нощно это поддерживают. А не разработчики Glib, Gtk+, Cairo, Pango, libjpeg62, libpng12, fontconfig, freetype (и всего прочего GTK-стека) из компании Red Hat.

     
  • 1.60, Вареник (?), 04:48, 10/10/2015 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    Живые стандарты - хорошо и очень хорошо.

    Мертвые стандарты - плохо.

    Мертворожденные стандарты - вообще беда.

     
  • 1.67, Аноним (-), 05:22, 10/10/2015 [ответить] [﹢﹢﹢] [ · · · ]  
  • –2 +/
    Вот так все переберутся на генту
     
  • 1.69, Sunderland93 (ok), 05:52, 10/10/2015 [ответить] [﹢﹢﹢] [ · · · ]  
  • +2 +/
    Если действительно от него нет пользы практически никакой, что никто(!) из разрабов не желает дальше его поддерживать - то реально, на кой он нужен? Чё толку со стандартов, если они практически не имеют смысла? Да и потом, минимальная поддержка останется, а прогибаться под прорпиерасов негоже. Тем более для Дэбиана.
    >>С момента предложения о прекращении поддержки LSB прошло три месяца, за которые не нашлось желающих взять на себя работу по поддержанию пакетов, связанных с LSB.

    Чтож никто из "борцов за стандарты" не вызвался на помощь? Zenitar, ты тут больше всех бугуртишь. Слабо было? Или это как с systemd - обосрать проще, чем что-то сделать?

     
     
  • 2.110, Аноним (-), 13:47, 10/10/2015 [^] [^^] [^^^] [ответить]  
  • +/
    Вы задаете неудобный вопрос и потому будете наказаны презрением со стороны добрых, честных и последовательных линукс-активистов выступающих за все хорошее против всего плохого.
     
  • 2.113, dimcha (??), 14:00, 10/10/2015 [^] [^^] [^^^] [ответить]  
  • +/
    Не переживайте, отвалится что-нибудь у кого-нибудь важное, покроют толстыми деби... большой текст свёрнут, показать
     

  • 1.75, Анонас (?), 08:43, 10/10/2015 [ответить] [﹢﹢﹢] [ · · · ]  
  • –4 +/
    Все очевидно. Ликвидация Linux началась с systemd... Ктото всерьез заинтересован в смерти операционной системы Linux и целенаправленно бьет по самым важным позициям системы. Скоро от Linux останется только одно слово. Большинство дистрибутивов исчезнут. Это заговор больших корпораций против системы Linux! Заговор в котором никто не признается и все будут отрицать о том что существует заговор. А если вы будете настаивать о существовании заговора, то вас будут воспринимать как шутника. Ибо все испытывают страх перед большими корпорациями. Господину Торвальдсу пора всерьез начать искать себе союзников и начинать разрабатывать методы защиты системы Linux... иначе гибель системы произойдет очень скоро. Запомните мои слова!!!
     
     
  • 2.77, Alex (??), 10:04, 10/10/2015 [^] [^^] [^^^] [ответить]  
  • –3 +/
    Тьфу-тьфу, systemd принёс в мир Linux-based систем то, чего им давно не хватало: унификацию. Сама система может быть достаточно разной, но теперь ты точно знаешь, что тебе не надо перепиливать инит-скрипты под каждый конкретный релиз.
     
     
  • 3.92, myhand (ok), 12:10, 10/10/2015 [^] [^^] [^^^] [ответить]  
  • +1 +/
    > Сама система может быть достаточно разной, но теперь ты
    > точно знаешь, что тебе не надо перепиливать инит-скрипты под каждый конкретный релиз.

    Ура!  Теперь перепиливать будешь юнит.  Ты довольно, школие?

     
     
  • 4.99, Аноним (-), 12:30, 10/10/2015 [^] [^^] [^^^] [ответить]  
  • –1 +/
    Вспомни когда принимались решения о переходе основных дистрибутивов на systemd тут и на ЛОРе была гигантская толпа ненавистников systemd. Переход состоялся и как-то тонны комментариев о ужасном systemd больше никто не пишет. Не наводит ни на какие мысли? По-моему так кто-то очень не хотел унификации инит системы в огромном и разрозненном семействе дистрибутивов Linux, но systemd приняли и комментарии о ненавистном systemd резко иссякли.
     
     
  • 5.101, Mihail Zenkov (ok), 12:48, 10/10/2015 [^] [^^] [^^^] [ответить]  
  • +1 +/
    Просто надоело спорить об одном и том же, тем более что каждый остался при своем мнении. IMHO с systemd будет тоже, что и с pa - те кому не нравится будут выпиливать его или использовать дистрибутивы без него. Огорчает только то, что будут systemd-only приложения (как сейчас есть некоторые завязанные за pa). Остается надеяться на здравый смысл разработчиков.
     
     
  • 6.174, arisu (ok), 08:04, 11/10/2015 [^] [^^] [^^^] [ответить]  
  • –1 +/
    > Огорчает только то, что будут systemd-only приложения

    наоборот, радует: сразу ясно, на что не стоит тратить время.

     
  • 6.194, vi (ok), 13:07, 11/10/2015 [^] [^^] [^^^] [ответить]  
  • +/
    > Просто надоело спорить об одном и том же, тем более что каждый
    > остался при своем мнении. IMHO с systemd будет тоже, что и
    > с pa - те кому не нравится будут выпиливать его или
    > использовать дистрибутивы без него. Огорчает только то, что будут systemd-only приложения
    > (как сейчас есть некоторые завязанные за pa). Остается надеяться на здравый
    > смысл разработчиков.

    О, если бы мы говорили о «жесткой» логике. А так, наверняка «здравый смысл» в области разработки программного обеспечения у меня и у самих разработчиков отличается.

    И да, Вам же дали несколько свобод в области свободного программного обеспечения. Но дышать то за Вас никто не сможет :) Или за Вас еще и жизнь прожить? Я то себе три намерил, а тут еще за Вас жить ;)

     
     
  • 7.197, Mihail Zenkov (ok), 13:56, 11/10/2015 [^] [^^] [^^^] [ответить]  
  • +2 +/
    Прочитал ваш пост три раз, но так и не понял, что вы хотели сказать ...
     
     
  • 8.207, vi (ok), 22:14, 11/10/2015 [^] [^^] [^^^] [ответить]  
  • +/
    Что русскому хорошо, то немцу смерть авторство автора И прочая лабуда про GPL... текст свёрнут, показать
     
  • 5.103, myhand (ok), 12:59, 10/10/2015 [^] [^^] [^^^] [ответить]  
  • +1 +/
    > systemd приняли

    Я лично в упор не вижу никакого "принятия":
    https://qa.debian.org/popcon.php?package=sysvinit
    https://qa.debian.org/popcon.php?package=systemd

     
     
  • 6.226, freehck (ok), 13:44, 13/10/2015 [^] [^^] [^^^] [ответить]  
  • +/
    Кстати да. Судя по этой статистике инсталляций с sysv в полтора раза больше, чем с systemd. Очень познавательные цифры, спасибо.
     
     
  • 7.238, Аноним (-), 21:12, 13/10/2015 [^] [^^] [^^^] [ответить]  
  • –1 +/
    По-моему, вполне соответсвует соотношению stable/(old)oldstable систем.
     
  • 5.193, vi (ok), 12:42, 11/10/2015 [^] [^^] [^^^] [ответить]  
  • +/

    > Не наводит ни на какие мысли?

    Недавно здесь один уважаемый человек комментировал.
    http://thequestion.ru/questions/17479/naskolko-teoriya-okna-overtona-nauchna-

    Так что продолжайте расслабляться и получать удовольствие!

     
  • 3.122, anonymous (??), 16:09, 10/10/2015 [^] [^^] [^^^] [ответить]  
  • +3 +/
    > Тьфу-тьфу, systemd принёс в мир Linux-based систем то, чего им давно не хватало: унификацию.

    Ага, даже стандарт не осилили разработать и поддерживать. О какой унификации тут идёт речь? Завихрения в мозге Поттеринга на неё не тянут.

     
     
  • 4.205, Аноним (-), 20:44, 11/10/2015 [^] [^^] [^^^] [ответить]  
  • +/
    О какой, о какой. О той самой родной, в стиле майкрософта.
     
  • 3.160, Kodir (ok), 00:24, 11/10/2015 [^] [^^] [^^^] [ответить]  
  • +/
    Хоть ваше заявление и тупое, позволю его прокомментировать: http://suckless.org/sucks/systemd
     
  • 2.78, Аноним (-), 10:51, 10/10/2015 [^] [^^] [^^^] [ответить]  
  • +/
    Истинно вам говорю: 4 мая 1925 года земля налетит на небесную ось !
     
  • 2.127, Аноним (-), 17:21, 10/10/2015 [^] [^^] [^^^] [ответить]  
  • –1 +/
    Поздно На последнем всегалактическом масонском совете представитель Омикрона V ... большой текст свёрнут, показать
     
  • 2.175, arisu (ok), 08:04, 11/10/2015 [^] [^^] [^^^] [ответить]  
  • +/
    > операционной системы Linux

    такой ОС никогда не существовало. скилл «убить то, чего на свете нет» — очень крутой.

     

  • 1.76, Аноним (-), 09:42, 10/10/2015 [ответить] [﹢﹢﹢] [ · · · ]  
  • –3 +/
    Под убунту прогиб наверное Дистр самодостаточный как и фряха но и та трещит
    из за этого
     
  • 1.83, corvuscor (ok), 11:30, 10/10/2015 [ответить] [﹢﹢﹢] [ · · · ]  
  • +1 +/
    А матлаб с математикой не отвалятся? У математики так точно LSB в требованиях есть.
     
     
  • 2.227, freehck (ok), 13:51, 13/10/2015 [^] [^^] [^^^] [ответить]  
  • +/
    > А матлаб с математикой не отвалятся? У математики так точно LSB в
    > требованиях есть.

    Ну, значит буду её теперь в chroot-е гонять. А вообще, использую её только потому, что некоторые индивиды только в ней расчёты делают, и мне надо их как-то читать. Для личных нужд и Maxima сгодится.

     

  • 1.84, Аноним (-), 11:38, 10/10/2015 [ответить] [﹢﹢﹢] [ · · · ]  
  • –1 +/
    переходят потихоньку от linux'а к lindows'у.
     
     
  • 2.118, kravich (ok), 15:03, 10/10/2015 [^] [^^] [^^^] [ответить]  
  • +1 +/
    Новость читал? Все совсем наоборот.
     
     
  • 3.130, Аноним (-), 18:12, 10/10/2015 [^] [^^] [^^^] [ответить]  
  • +/
    Без стандартов будет больше бардака (даже если они не соблюдались полностью и прежде);
    в бардаке работать трудно, поэтому можно только из-под палки;
    поэтому работа перетекает в руки компаний;
    компании делают проприетарные системы;
    потому lindows.
     

  • 1.87, iCat (ok), 11:49, 10/10/2015 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    Началась трансформация в DebianD? Или в Debiantu?
     
  • 1.93, Mihail Zenkov (ok), 12:18, 10/10/2015 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    Раньше уже говорил: у меня очень переработанный lfs - нет udev/dbus/pulseaudio/systemd, busybox вместо *nix utils, не придерживаюсь строго FHS, glibc тоже существенно подрезана.

    Opera ставилась без проблем. Лень было собирать LO4 - взял сборку для дебиана - ругнулась, что у меня libdbus нет. Взял libdbus с дебиана - и все заработало (без демона dbus!). Pianoteq, Unreal, ET:QW - тоже работали.

    Если не завязываться за дистроспецифичные вещи (привет systemd,pa) и вообще сводить внешние зависимости к минимуму (статическая линковка и включение в поставку редко используемых lgpl библиотек), то все будет работать и без LSB.

     
     
  • 2.105, slavius (?), 13:19, 10/10/2015 [^] [^^] [^^^] [ответить]  
  • +/
    ты предлагаешь сделать то от чего в линукс уходили годами)) или разделяемые либы и тому подобное пидумали тупые люди?
     
     
  • 3.111, Mihail Zenkov (ok), 13:50, 10/10/2015 [^] [^^] [^^^] [ответить]  
  • +/
    Не все так просто: разделяемые библиотеки имеют выигрыш только если используются большим количеством одновременно запущенных программ. Да и то не всегда.

    Есть мнение, что от разделяемых библиотек больше вреда, чем пользы: http://sta.li/faq

    Мое личное мнение - если думать об экономии памяти, то оптимально оставить широко используемые библиотеки разделяемыми, а все остальное - статикой.

    Если же речь о максимальной производительности, а экономия памяти не критична - то все статикой.

     
     
  • 4.114, slavius (?), 14:08, 10/10/2015 [^] [^^] [^^^] [ответить]  
  • –1 +/
    и медленно превращаемся, превращаемся медленно.... в виндовс...)) меня все больше беспокоит современное пренебрежение ресурсами системы. полагая что их всегда хватит на все. знаешь отличием линукса всегда была стабильность за счет того, что каждую задачу выполняет одно маленькое приложение и передает обработку другому маленькому. это всегда был процесс надежного и нетребовательного использования компьютера, что и сделало линукс одной из ведущих систем в веб, но вы предлагаете сделать из него виндовс. это не может не беспокоить. а по различию дистров дебиан давно уже в переди планеты всей. нет чтоб договориться о единообразном именовании либ, они стали именовать их иначе. как итог нигде кроме дебианоподобных систем  их не используешь. и это конечно печально для опен сурс
     
     
  • 5.115, Mihail Zenkov (ok), 14:46, 10/10/2015 [^] [^^] [^^^] [ответить]  
  • +/
    Возражения технического характера против моего мнения есть?

    Если вы сходите по ссылке то там и будет про "пренебрежение ресурсами системы" и "каждую задачу выполняет одно маленькое приложение и передает обработку другому маленькому".

    Статическая линковка всегда быстрее и в ряде случаев более экономна по памяти.

    > различию дистров дебиан давно уже в переди планеты всей

    Вы не находите странным, что именно дебиновская сборка LO4 без проблем заработала на очень нестандартной системе?

     
  • 5.120, Нимано (?), 15:52, 10/10/2015 [^] [^^] [^^^] [ответить]  
  • +2 +/
    > и медленно превращаемся, превращаемся медленно.... в виндовс...))

    [b]DLL[/b] hell?

    > знаешь отличием линукса всегда была стабильность за счет того, что каждую задачу выполняет одно маленькое приложение и передает обработку другому маленькому.

    Называется скромно: "юниксвей",  хотя дивано-аналитическая хипстота на опеннете утверждает, что это ненужный пережиток прошлого.

    > что и сделало линукс одной из ведущих систем в веб

    Ну да, ведь в бздах все было ну совсем не так. Там о юниксвеях ни ухом, ни рылом ...

     
     
  • 6.221, hamper (??), 20:22, 12/10/2015 [^] [^^] [^^^] [ответить]  
  • +/
    Так ведь LSB это и есть узаконенный DLL-hell, просто в нем перечислены все возможные версии либ, которые могут потребоваться какому то проприетарному приложению.
     
  • 4.156, Kodir (ok), 23:44, 10/10/2015 [^] [^^] [^^^] [ответить]  
  • –2 +/
    > Не все так просто: разделяемые библиотеки имеют выигрыш только если используются большим
    > количеством одновременно запущенных программ.

    Не только. Например, если найдена проблема в либе, её новая версия компилируется и перезаписывает старую - вот тебе минимальный апдейт!
    Аналогично, если ты НЕ хочешь чужих реализаций - кладёшь разделяемую либу на r/o том и все программы юзают одну доверенную либу.
    Вощем, преимуществ shared море, просто бардак в линуксах мешает юзать его в полный рост.

     
     
  • 5.158, Mihail Zenkov (ok), 00:13, 11/10/2015 [^] [^^] [^^^] [ответить]  
  • –1 +/
    1 Многие программы тягают библиотеки с собой, например ff 2 Программа может з... большой текст свёрнут, показать
     
     
  • 6.166, Crazy Alex (ok), 01:35, 11/10/2015 [^] [^^] [^^^] [ответить]  
  • +/
    Я хоть и не Kodir, но отвечу От таскания бибилиотк с собой тот же Firefox прекр... большой текст свёрнут, показать
     
     
  • 7.183, Mihail Zenkov (ok), 11:51, 11/10/2015 [^] [^^] [^^^] [ответить]  
  • +/
    В FF да, там не понятно зачем они библиотеки с собой таскают, может что бы под в... большой текст свёрнут, показать
     
     
  • 8.191, Crazy Alex (ok), 12:32, 11/10/2015 [^] [^^] [^^^] [ответить]  
  • –1 +/
    У меня гента, так что о пересборках после смены второй цифры я некое представлен... большой текст свёрнут, показать
     
     
  • 9.196, Mihail Zenkov (ok), 13:50, 11/10/2015 [^] [^^] [^^^] [ответить]  
  • +/
    А я вот сталкивался с глюками, после обновления отдельных нижних gtk библиотек ... большой текст свёрнут, показать
     
  • 4.165, Crazy Alex (ok), 01:24, 11/10/2015 [^] [^^] [^^^] [ответить]  
  • +/
    Очевидный минус - то, что исправление бага в библиотеке может дойти только через новую версию приложения. Лично для меня этого достаточно, чтобы как чёрт от ладана шарахаться от статически собранного софта.

    Впрочем, стонов по LSB я тоже не разделяю - это затрагивает только проприетарщину, а с ней в любом случае лучше не связываться по возможности. А в тяжелых случаях - виртуалка с нужной системой в помощь.

     
     
  • 5.176, arisu (ok), 08:08, 11/10/2015 [^] [^^] [^^^] [ответить]  
  • +1 +/
    > Очевидный минус - то, что исправление бага в библиотеке может дойти только
    > через новую версию приложения. Лично для меня этого достаточно, чтобы как
    > чёрт от ладана шарахаться от статически собранного софта.

    а также не работает няшный хак с перехватом функций через LD_PRELOAD. да, это нужно далеко не каждый день; да, можно извращаться с ptrace() и динамическим анализом… а можно просто LD_PRELOAD.

     
     
  • 6.185, Mihail Zenkov (ok), 11:57, 11/10/2015 [^] [^^] [^^^] [ответить]  
  • +/
    Согласен, возможность интересная, хоть и редко используемая. Мне лично еще не хватает аналога ldd, чтобы можно было понять какие библиотеки использовались при линковке.
     
     
  • 7.186, arisu (ok), 11:59, 11/10/2015 [^] [^^] [^^^] [ответить]  
  • +1 +/
    согласен, ldd тоже полезная штука.
     
  • 7.190, Аноним (-), 12:31, 11/10/2015 [^] [^^] [^^^] [ответить]  
  • –2 +/
    Убивать надо за советы использовать ldd. Хотите подробностей без риска — objdump -p.
     
     
  • 8.195, Mihail Zenkov (ok), 13:21, 11/10/2015 [^] [^^] [^^^] [ответить]  
  • +1 +/
    Убивать надо тех, кто тянет стремные бинарники не пойми откуда Точнее они сами ... текст свёрнут, показать
     
  • 8.199, arisu (ok), 14:33, 11/10/2015 [^] [^^] [^^^] [ответить]  
  • +1 +/
    убей себя, пожалуйста или по крайней мере научись молчать, когда умные люди бес... текст свёрнут, показать
     
     
  • 9.246, Аноним (-), 21:29, 13/10/2015 [^] [^^] [^^^] [ответить]  
  • –1 +/
    Культурный уровень гопника из подворотни еще не делает вас умным человеком Поэт... текст свёрнут, показать
     
     
  • 10.247, arisu (ok), 21:31, 13/10/2015 [^] [^^] [^^^] [ответить]  
  • +1 +/
    само собой умным меня делает интеллект 8212 но тебе этого не понять, в твоей... текст свёрнут, показать
     
  • 5.179, Mihail Zenkov (ok), 11:11, 11/10/2015 [^] [^^] [^^^] [ответить]  
  • +/
    > Очевидный минус - то, что исправление бага в библиотеке может дойти только
    > через новую версию приложения. Лично для меня этого достаточно, чтобы как
    > чёрт от ладана шарахаться от статически собранного софта.

    Суеверия и предрассудки :) Зачем ждать новую версию? Достаточно пересобрать (или скачать пересобронный) пакет с новой версией библиотеки.

     
     
  • 6.180, arisu (ok), 11:21, 11/10/2015 [^] [^^] [^^^] [ответить]  
  • +/
    утомляет пересобирать половину мира при апдейте какой‐нибудь часто используемой библиотеки.
     
     
  • 7.184, Mihail Zenkov (ok), 11:54, 11/10/2015 [^] [^^] [^^^] [ответить]  
  • –1 +/
    Согласен, но при смене abi все равно придется это делать и гораздо более болезненно.
     
     
  • 8.187, arisu (ok), 12:00, 11/10/2015 [^] [^^] [^^^] [ответить]  
  • +/
    поэтому я, например, намерен сидеть на gcc 4 9 о 8208 о 8208 очень долго side... текст свёрнут, показать
     
  • 6.192, Crazy Alex (ok), 12:35, 11/10/2015 [^] [^^] [^^^] [ответить]  
  • –1 +/
    Для бинарных дистрибутивов - не суеверия и не предрассудки, а механика работы пакетной системы.

    P.S. Я просто и Дебиан и Генту испоьльзую, поэтому с обеих точек зрения всё это вспринимаю. для source-based - это просто морока с пересборкой, существенно большая, чем сейчас. А вот для бинарных (которые, чрёт возьми, действительно оптимальнее для большинства) - это масса проблем со своевременным обновлением.

     
     
  • 7.198, Mihail Zenkov (ok), 14:11, 11/10/2015 [^] [^^] [^^^] [ответить]  
  • –1 +/
    ИМХО, нет Допустим у пользователя 20-30 программ Соответственно в худшем случа... большой текст свёрнут, показать
     

     ....большая нить свёрнута, показать (27)

  • 1.104, dimcha (??), 13:01, 10/10/2015 [ответить] [﹢﹢﹢] [ · · · ]  
  • +1 +/
    LOL, читаю на wikipedia:

    > Стандарт LSB критикуют за то, что он не принимает предложения проектов, в особенности Debian, находящихся за пределами круга его членов.

    Понятно теперь, почему отказываются )

     
     
  • 2.123, anonymous (??), 16:11, 10/10/2015 [^] [^^] [^^^] [ответить]  
  • +/
    > LOL, читаю на wikipedia:
    >> Стандарт LSB критикуют за то, что он не принимает предложения проектов, в особенности Debian, находящихся за пределами круга его членов.
    > Понятно теперь, почему отказываются )

    systemd тоже редхат пилит. Однако протолкнули с причмокиванием.

     
     
  • 3.204, chinarulezzz (ok), 19:44, 11/10/2015 [^] [^^] [^^^] [ответить]  
  • +/
    >> LOL, читаю на wikipedia:
    >>> Стандарт LSB критикуют за то, что он не принимает предложения проектов, в особенности Debian, находящихся за пределами круга его членов.
    >> Понятно теперь, почему отказываются )
    > systemd тоже редхат пилит. Однако протолкнули с причмокиванием.

    Тестеры, расширение рынка за счет подконтрольных продуктов - это выгодно. А уж как данная новость выгодна редхат...

     
  • 3.236, Аноним (-), 21:03, 13/10/2015 [^] [^^] [^^^] [ответить]  
  • +/
    > systemd тоже редхат пилит. Однако протолкнули с причмокиванием.

    С тем же успехом можно сказать, что systemd пилит Debian.
    Hint: посчитайте количество разработчиков с правом коммита.

     
     
  • 4.248, anonymous (??), 23:17, 13/10/2015 [^] [^^] [^^^] [ответить]  
  • +1 +/
    >Hint: посчитайте количество разработчиков с правом коммита.

    А LSB кто тогда принимал? Контора, которая не имеет отношения к дебиану и линуксу вообще, или всё же представители linux-дистрибутив, в т.ч. и дебиана? А то складывается такое впечатление, что systemd проталкивает сообщество и Поттеринг живёт исключительно на пожертвования, а LSB разработан исключительно RedHat-ом в своих корыстных целях.

     
     
  • 5.250, arisu (ok), 05:19, 14/10/2015 [^] [^^] [^^^] [ответить]  
  • +2 +/
    RH не всегда был рассадником портерингов. по крайней мере, таким открытым.
     
  • 3.244, Аноним (-), 21:24, 13/10/2015 [^] [^^] [^^^] [ответить]  
  • +/
    > systemd тоже редхат пилит. Однако протолкнули с причмокиванием.

    Потому что sysvinit уже начал попахивать, а убунтовский upstart с его CLA мог запросто порвать то, куда его проталкивали.

     
     
  • 4.249, anonymous (??), 23:22, 13/10/2015 [^] [^^] [^^^] [ответить]  
  • +2 +/
    >> systemd тоже редхат пилит. Однако протолкнули с причмокиванием.
    > Потому что sysvinit уже начал попахивать, а убунтовский upstart с его CLA
    > мог запросто порвать то, куда его проталкивали.

    Убунтвоский upstart уже проработал  лет 7 и никому ничего не порвал. Даже впиливался небольшой командой из Сanonical вместо sysvinit легко и непринуждённо. А вот после systemd впилить другой инит не представляется возможным.

     
     
  • 5.251, arisu (ok), 05:20, 14/10/2015 [^] [^^] [^^^] [ответить]  
  • +/
    > Убунтвоский upstart уже проработал  лет 7 и никому ничего не порвал.
    > Даже впиливался небольшой командой из Сanonical вместо sysvinit легко и непринуждённо.
    > А вот после systemd впилить другой инит не представляется возможным.

    тут всё ещё хуже: upstart мог работать не «вместо», а «вместе». представляешь, какой ужас: выбор давали *всем*! понятно, что upstart был утоплен с максимальной скоростью и надёжностью.

    p.s. кто не в курсе — upstart не требовал делать его pid 1, и мог спокойно сосуществовать с другим инитом.

     
     
  • 6.255, myhand (ok), 13:08, 14/10/2015 [^] [^^] [^^^] [ответить]  
  • +/
    > какой ужас: выбор давали *всем*!

    С ненавязчивым впариванием бубунтовской CLA в комплекте.

    Тоже хороши, чо.

     
     
  • 7.256, arisu (ok), 13:13, 14/10/2015 [^] [^^] [^^^] [ответить]  
  • +/
    >> какой ужас: выбор давали *всем*!
    > С ненавязчивым впариванием бубунтовской CLA в комплекте.

    э… наблюдаю GPLv2. ЧЯДНТ?

     
     
  • 8.257, myhand (ok), 16:28, 14/10/2015 [^] [^^] [^^^] [ответить]  
  • +1 +/
    Не умеешь наблюдать, ессно СLA - это про http assets ubuntu com sites ubuntu ... текст свёрнут, показать
     
     
  • 9.258, arisu (ok), 16:33, 14/10/2015 [^] [^^] [^^^] [ответить]  
  • –1 +/
    ещё раз повторяю открыл исходники, наблюдаю GPLv2 что там карябают убунтята на... текст свёрнут, показать
     
     
  • 10.260, myhand (ok), 19:41, 14/10/2015 [^] [^^] [^^^] [ответить]  
  • +/
    Если на клетке слона прочтёшь надпись 171 буйвол 187 , не верь глазам своим ... текст свёрнут, показать
     
     
  • 11.261, arisu (ok), 19:43, 14/10/2015 [^] [^^] [^^^] [ответить]  
  • +/
    что волнует меня примерно настолько же, насколько волнуют проблемы африканских ж... текст свёрнут, показать
     
     
  • 12.262, myhand (ok), 20:20, 14/10/2015 [^] [^^] [^^^] [ответить]  
  • +/
    Зато это волнует разработчиков, не желающих вкладываться в развитие проектов, па... текст свёрнут, показать
     
     
  • 13.263, arisu (ok), 20:24, 14/10/2015 [^] [^^] [^^^] [ответить]  
  • +/
    ну и отлично, вот и решение не подпишу всё, RESOLVED FIXED ... текст свёрнут, показать
     
     
  • 14.264, myhand (ok), 20:52, 14/10/2015 [^] [^^] [^^^] [ответить]  
  • +/
    Дык а я о чем Вот так просто и умер апстарт Без жидомасонских заговоров и ко... текст свёрнут, показать
     
     
  • 15.265, arisu (ok), 21:12, 14/10/2015 [^] [^^] [^^^] [ответить]  
  • +2 +/
    умер он потому, что хипсторы не умеют программировать, а нехипсторам он нафиг не... текст свёрнут, показать
     
     
  • 16.266, myhand (ok), 01:21, 15/10/2015 [^] [^^] [^^^] [ответить]  
  • +/
    Это ненаучное объяснение, оно подошло бы и systemd, ан тот не загнулся Или под... текст свёрнут, показать
     
     
  • 17.270, arisu (ok), 08:42, 15/10/2015 [^] [^^] [^^^] [ответить]  
  • +1 +/
    системдец точно так же не нужен людям 8212 но он нужен красношапке как тольк... текст свёрнут, показать
     
     
  • 18.273, myhand (ok), 10:41, 15/10/2015 [^] [^^] [^^^] [ответить]  
  • +/
    Ну а почему бы красношапке не взять upstart Ведь запихнула же его в RHEL6 ... текст свёрнут, показать
     
     
  • 19.274, arisu (ok), 11:48, 15/10/2015 [^] [^^] [^^^] [ответить]  
  • +1 +/
    напиши в красношапку, спроси ... текст свёрнут, показать
     
     
  • 20.275, myhand (ok), 13:37, 15/10/2015 [^] [^^] [^^^] [ответить]  
  • +/
    Так я ответ уже итак знаю, он озвучен выше Возглавить прогресс они в случае с ... текст свёрнут, показать
     
  • 21.276, arisu (ok), 13:56, 15/10/2015 [^] [^^] [^^^] [ответить]  
  • +/
    конечно форкнуть апстарт и спокойно развивать самим 8212 это так сложно кан... текст свёрнут, показать
     
  • 22.278, myhand (ok), 09:20, 19/10/2015 [^] [^^] [^^^] [ответить]  
  • +/
    Чтобы каноникал пользовался твоими наработками нахаляву, сделав закрытый форк ... текст свёрнут, показать
     
  • 23.279, arisu (ok), 09:38, 19/10/2015 [^] [^^] [^^^] [ответить]  
  • +/
    у тебя проблемы с чтением и пониманием GPL попроси тогда кого 8208 то пояснить... текст свёрнут, показать
     
  • 24.283, myhand (ok), 00:37, 26/10/2015 [^] [^^] [^^^] [ответить]  
  • –1 +/
    Нет, это ты почему-то читать не научен Прекрасно работает, если авторские права... текст свёрнут, показать
     
  • 25.284, arisu (ok), 01:07, 26/10/2015 [^] [^^] [^^^] [ответить]  
  • +/
    а теперь приступаем к самой интересной части аттракциона ты показываешь, где в... текст свёрнут, показать
     
  • 26.286, myhand (ok), 12:59, 26/10/2015 [^] [^^] [^^^] [ответить]  
  • +/
    Я тебе давал уже ссылку на CLA бубунту, глупый башка забыл ... текст свёрнут, показать
     
  • 25.285, Mihail Zenkov (ok), 11:05, 26/10/2015 [^] [^^] [^^^] [ответить]  
  • +1 +/
    Когда участвуешь в разработке проекта входящего в GNU, тоже подписываешь соглаше... текст свёрнут, показать
     
  • 26.287, myhand (ok), 13:07, 26/10/2015 [^] [^^] [^^^] [ответить]  
  • –1 +/
    Угу Разумеется Но наличие авторских прав в одних чотких руках внезапно может ... текст свёрнут, показать
     
  • 27.290, Mihail Zenkov (ok), 14:22, 26/10/2015 [^] [^^] [^^^] [ответить]  
  • +/
    Почитал - пункт 2 3 разрешает выпуск продукта под любой лицензией, но не понятн... текст свёрнут, показать
     
  • 28.291, arisu (ok), 14:58, 26/10/2015 [^] [^^] [^^^] [ответить]  
  • +/
    да, в общем 8208 то, понятно это про contributions to the original project а ... текст свёрнут, показать
     
  • 29.294, myhand (ok), 17:05, 26/10/2015 [^] [^^] [^^^] [ответить]  
  • +/
    Это для смердов GPL, а каноникалу - как пожелает ... текст свёрнут, показать
     
  • 28.293, myhand (ok), 17:01, 26/10/2015 [^] [^^] [^^^] [ответить]  
  • +/
    Ну и что тут непонятного Ну вот на момент подписания upstart был под GPL, это и... текст свёрнут, показать
     
  • 26.289, arisu (ok), 14:00, 26/10/2015 [^] [^^] [^^^] [ответить]  
  • +/
    речь вообще шла про форк код которого будет GPL, и 171 отдавать 187 ничег... текст свёрнут, показать
     
  • 27.292, myhand (ok), 16:52, 26/10/2015 [^] [^^] [^^^] [ответить]  
  • +/
    Тебе тогда надо было другие слова употреблять, а не прямо противоположные Речь... текст свёрнут, показать
     
  • 28.295, arisu (ok), 18:42, 26/10/2015 [^] [^^] [^^^] [ответить]  
  • +/
    то, что ты идиот, и не умеешь читать 8212 не мои проблемы ... текст свёрнут, показать
     
  • 4.253, Andrey Mitrofanov (?), 09:47, 14/10/2015 [^] [^^] [^^^] [ответить]  
  • +1 +/
    >а убунтовский upstart с его CLA мог запросто порвать то, куда его проталкивали.

    Не трожь выскочку (upstart)! На нём все RHEL-ы 6-ые, весь ынтерпрайс!, работает!!

     
     
  • 5.269, Kandeshvari (?), 05:51, 15/10/2015 [^] [^^] [^^^] [ответить]  
  • –2 +/
    >>а убунтовский upstart с его CLA мог запросто порвать то, куда его проталкивали.
    > Не трожь выскочку (upstart)! На нём все RHEL-ы 6-ые, весь ынтерпрайс!, работает!!

    Rhel6 работает на init scripts. Апстарта рядлм не стояло.

     
     
  • 6.281, Andrey Mitrofanov (?), 09:55, 21/10/2015 [^] [^^] [^^^] [ответить]  
  • +1 +/
    >>>а убунтовский upstart с его CLA мог запросто порвать то, куда его проталкивали.
    >> Не трожь выскочку (upstart)! На нём все RHEL-ы 6-ые, весь ынтерпрайс!, работает!!
    > Rhel6 работает на init scripts. Апстарта рядлм не стояло.

    Ж) Марш уроки учить!

    # grep Red /etc/redhat-release
    Red Hat Enterprise Linux Server release 6.7 (Santiago)
    # ps -fp 1
    UID        PID  PPID  C STIME TTY          TIME CMD
    root         1     0  0 Oct12 ?        00:00:03 /sbin/init
    # rpm -qf /sbin/init
    upstart-0.6.5-13.el6_5.3.x86_64

     
     
  • 7.282, dimcha (??), 09:58, 21/10/2015 [^] [^^] [^^^] [ответить]  
  • –1 +/
    >> Rhel6 работает на init scripts. Апстарта рядлм не стояло.
    > Ж) Марш уроки учить!
    > # rpm -qf /sbin/init
    > upstart-0.6.5-13.el6_5.3.x86_64

    да-да, мой косяк )) если я его никогда в нем не использовал, это не значит что его нет )


     

     ....большая нить свёрнута, показать (42)

  • 1.112, Аноним (-), 13:57, 10/10/2015 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    Debian же только для серверов. Всё правильно, совместимость не нужна. Ну а у опеннетовских "аналитиков" в треде - у них Ubuntu.
     
  • 1.153, Kodir (ok), 23:37, 10/10/2015 [ответить] [﹢﹢﹢] [ · · · ]  
  • –4 +/
    Сейчас только настоящие профессионалы хмыкнут, вспомнив Gobo-linux - вот она, непонятая хомячками революция! Им объясняешь прелесть новой системы - упираются рогом "да не, да не надо, нам и так хорошо с десятью */bin каталогами!".
    Сейчас мы наблюдаем, как менее поворотливые тугодумы из Дебиан постепенно приходят к мысли - "действительно, ЧЕГО РАДИ?". И даю ещё 5 лет их интеллекту допереть до мысли, что давно пора перейти на структуру Gobo и навсегда решить проблему как дурацких "менеджеров пакетов" (десяток несовместимых извратов), так и гармоничности системы в целом.
     
     
  • 2.167, ireadaboutgobo (?), 02:05, 11/10/2015 [^] [^^] [^^^] [ответить]  
  • +/
    > пора перейти на структуру Gobo

    Это в которой для каждого пакета есть свой каталог в /Programs , а потом симлинками всё линкуется во все те же */bin-каталоги?

    Я бы этой штуке не доверял. Я вообще не доверяю системам, которые пытаются хранить в одном каталоге больше пары сотен подкаталогов/файлов. А с дебиановскими повадками каждый файл хранить в отдельном пакете (привет, bash-doc, bash-dev, bash-lib) с этим будут проблемы.

     
     
  • 3.177, arisu (ok), 08:10, 11/10/2015 [^] [^^] [^^^] [ответить]  
  • +1 +/
    > Я бы этой штуке не доверял. Я вообще не доверяю системам, которые
    > пытаются хранить в одном каталоге больше пары сотен подкаталогов/файлов.

    сделай «ls /usr/bin | wc -l» и немедленно сноси мерзкий GNU/Linux!

     
     
  • 4.201, ireadaboutgobo (?), 18:34, 11/10/2015 [^] [^^] [^^^] [ответить]  
  • –1 +/
    > сделай «ls /usr/bin | wc -l» и немедленно сноси мерзкий GNU/Linux!

    В /usr/bin хранятся только бинарники, и обращение к каталогу (и поиск в нём) идёт один раз - при запусе приложения. В /Programs/* хранится вообще вся установленная информация приложения, и обращения к ней идут гораздо чаще.

    Хранение бинарников в одном каталоге решает техническую проблему - упрощает запуск через PATH, в который не надо прописывать 100500 значений, каждое для своего приложения. Какую проблему решает /Programs/* ?

    Поиск по списку всех бинарников - необходимость. Когда вы запускаете ls, системе в любом случае надо будет просмотреть все места, где может храниться бинарник, на предмет наличия там этого ls, и нет особой разницы - будет это делать userspace перебором каких-то каталогов, или это будет сделано драйвером файловой системы при поиске в одном каталоге.

    В случае же какого-нибудь /Programs/Glibc/Current/share/timezone у вас приложение всегда знает полный путь, и нет смысла заставлять kernelspace просматривать весь /Programs/ в поисках Glibc.

    Если же делать, как вы предлагаете, то зачем вообще отдельные каталоги, всякие bin, lib, doc, share/man? Давайте всё в одно место класть, будет /Programs/Bash/Current/bash , /Programs/Bash/Current/bash.info , /Programs/Bash/Current/bash.1.gz и т.д.

     
     
  • 5.209, arisu (ok), 05:57, 12/10/2015 [^] [^^] [^^^] [ответить]  
  • +/
    > В /usr/bin хранятся только бинарники, и обращение к каталогу (и поиск в
    > нём) идёт один раз - при запусе приложения. В /Programs/* хранится
    > вообще вся установленная информация приложения, и обращения к ней идут гораздо
    > чаще.

    какое это отношение имеет к твоим словам? я их процитирую: «Я вообще не доверяю системам, которые пытаются хранить в одном каталоге больше пары сотен подкаталогов/файлов.» GNU/Linux хранит. поскольку ты заведомо не доверяешь GNU/Linux по идиотской причине, и открыто это признал, никакой практической ценности у твоих дальнейших рассуждений нет.

     
     
  • 6.214, Аноним (-), 11:42, 12/10/2015 [^] [^^] [^^^] [ответить]  
  • –1 +/
    > «Я вообще не доверяю системам, которые пытаются хранить в одном каталоге больше пары сотен подкаталогов/файлов.»

    имелось ввиду "Я вообще не доверяю системам, которые пытаются хранить в одном каталоге больше пары сотен подкаталогов/файлов при наличии вариантов." :(

     

  • 1.170, Аноним (-), 04:45, 11/10/2015 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    Для кого может и неочевидно. А если например надо найти настройки приложения то гораздо легче их найти в /etc или в ~/.config чем черт знает где.
     
  • 1.237, Аноним (-), 21:08, 13/10/2015 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    > Разработчики Debian поставили под сомнение целесообразность обеспечения поддержки в дистрибутиве стандарта Linux Standard Base (LSB)

    Ждем новости
    «Разработчики Ubuntu поставили под сомнение целесообразность обеспечения поддержки в дистрибутиве стандарта Linux Standard Base (LSB)…»

     
     
  • 2.268, Вареник (?), 01:53, 15/10/2015 [^] [^^] [^^^] [ответить]  
  • +/
    >> Разработчики Debian поставили под сомнение целесообразность обеспечения поддержки в дистрибутиве стандарта Linux Standard Base (LSB)
    > Ждем новости
    > «Разработчики Ubuntu поставили под сомнение целесообразность обеспечения поддержки
    > в дистрибутиве стандарта Linux Standard Base (LSB)…»

    Воистину ))

     

  • 1.259, nexfwall (ok), 19:26, 14/10/2015 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    Я конечно понимаю, что это всё стандарты, совместимость... Чтобы всё то проприетарное говно, что работало в линуксе 5 лет назад, работало и сегодня(как и в винде с этим их WINAPI). Даже если создатели этого проприетарного говна уже сами забили огромный хер на этот софт, в том числе и на поддержку, но чтобы оно всё равно работало. Даже если оно написано на GTK+ 1.0, или Qt 2.0, или ещё на каком говне мамонта, которое никто не поддерживает, это говно всё равно должно работать, ибо за это говно заплатили бабки. И так далее.

    Но ведь так вечно продолжаться не может. Чем больше старого говна тащат в новые дистрибутивы, тем больше костылей и работы по их поддержке. Когда-то его да надо сбрасывать, говорить что - "это мы больше не поддерживаем, идите нахер", удалять костыли и перекинуть силы на развитие чего-то нового.

    Это в назидание тем ораторам, что страстно бомбят тут по поводу выпила LSB.

     

     Добавить комментарий
    Имя:
    E-Mail:
    Текст:



    Спонсоры:
    PostgresPro
    Inferno Solutions
    Hosting by Hoster.ru
    Хостинг:

    Закладки на сайте
    Проследить за страницей
    Created 1996-2022 by Maxim Chirkov
    Добавить, Поддержать, Вебмастеру